Skip to main content
PUT
/
v1
/
companies
/
{id}
Update a company
curl --request PUT \
  --url https://api.metal.ai/v1/companies/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <api-key>' \
  --data '
{
  "canonicalName": "<string>",
  "alternativeNames": [
    "<string>"
  ],
  "website": "<string>",
  "description": "<string>",
  "shortDescription": "<string>",
  "sector": "<string>",
  "industry": "<string>",
  "externalId": "<string>",
  "custom": {}
}
'
{
  "data": {
    "id": "665f1c2a9b1e4a0012a3b4c5",
    "canonicalName": "Acme Industrials",
    "alternativeNames": [
      "<string>"
    ],
    "website": "https://acme.example",
    "description": "<string>",
    "shortDescription": "<string>",
    "sector": "Industrials",
    "subsector": "<string>",
    "industry": "<string>",
    "location": {
      "city": "<string>",
      "state": "<string>",
      "country": "<string>"
    },
    "companyType": "operating",
    "externalId": "<string>",
    "externalReference": {
      "source": "<string>",
      "id": "<string>"
    },
    "tags": [
      "<string>"
    ],
    "assignees": [
      {
        "id": "<string>",
        "type": "<string>"
      }
    ],
    "custom": {},
    "employeeCount": 450,
    "ownershipStatus": "private",
    "lastValuation": 123,
    "lastRoundDate": "2023-12-25",
    "lastAmountRaised": 123,
    "totalMoneyRaised": 123,
    "lastFinancials": {},
    "enrichment": {
      "subsector": [
        {
          "value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
          "source": "CIM",
          "confidence": 100,
          "pinned": true,
          "discoveredAt": "2026-02-14T10:00:00Z"
        },
        {
          "value": "Third-Party Administrators (TPAs)",
          "source": "Market Report",
          "confidence": 57,
          "pinned": false,
          "discoveredAt": "2026-01-20T10:00:00Z"
        }
      ]
    },
    "lastEnrichedAt": "2023-11-07T05:31:56Z",
    "lastEnrichmentStartedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-metal-client-id
string
header
required

The Client ID of your API key.

x-metal-api-key
string
header
required

The secret value of your API key.

Path Parameters

id
string
required

The company id.

Body

application/json

Fields to update on a company. Provide only what you want to change.

canonicalName
string
alternativeNames
string[]
website
string
description
string
shortDescription
string
sector
string
industry
string
companyType
enum<string>
Available options:
operating,
investor,
lender,
investment_bank,
advisor,
sponsor,
service_provider
externalId
string
custom
object

Response

A company.

data
object

A company record. Many attributes are populated by enrichment: Metal gathers candidate values from your documents, data providers, and the web, then ranks and reconciles them into the single value shown here. See the Enrichment and Reconciliation & ranking guides. The enrichment field exposes the discovered values and citations behind each reconciled attribute.